<?php

    $manifest =array(
        'acceptable_sugar_flavors' => array('CE','PRO','CORP','ENT','ULT'),
        'acceptable_sugar_versions' => array(
            'exact_matches' => array(
				0 => '9.0.3',
			),
	        'regex_matches' => array(
	            0 => '9//.0//.(.*?)',
	            1 => '10//.0//.(.*?)',
	        ),
        ),
        'author' => 'Amelia Middleton',
        'description' => 'Installs a CE custom fields',
        'icon' => '',
        'is_uninstallable' => true,
        'name' => 'CE Custom Field Installer',
        'published_date' => '2020-07-27 09:00:00',
        'type' => 'module',
        'version' => '1',
		'remove_tables' => 'prompt',
    );
    
    $installdefs =array(
        'id' => 'package_ce_custom_fields',
		'copy' => array(
/*
			array(
				'from' => '<basepath>/Files/custom/Extension/modules/Lev_Course_Costs/Ext/Vardefs/sugarfield_total_to_client.php',
				'to' => 'custom/Extension/modules/Lev_Course_Costs/Ext/Vardefs/sugarfield_total_to_client.php',
			),
			array(
				'from' => '<basepath>/Files/custom/Extension/modules/Lev_Courses/Ext/Vardefs/sugarfield_hourly_fee_to_client.php', 
				'to' => 'custom/Extension/modules/Lev_Courses/Ext/Vardefs/sugarfield_hourly_fee_to_client.php',
			),
			array(
				'from' => '<basepath/Files/custom/Extension/modules/Lev_Course_Costs/Ext/Vardefs/sugarfield_total_expense.php',
				'to' => 'custom/Extension/modules/Lev_Course_Costs/Ext/Vardefs/sugarfield_total_expense.php',
			),
			array(
				'from' => '<basepath/Files/custom/Extension/modules/Opportunities/Ext/Vardefs/sugarfield_probability.php',
				'to' => 'custom/Extension/modules/Opportunities/Ext/Vardefs/sugarfield_probability.php',
			),
			array(
				'from' => '<basepath/Files/custom/Extension/modules/Lev_Contracts/Ext/Vardefs/sugarfield_contract_company.php',
				'to' => 'custom/Extension/modules/Lev_Contracts/Ext/Vardefs/sugarfield_contract_company.php',
			),
			*/

			array(
				'from' => '<basepath/Files/custom/Extension/modules/Lev_Contracts/Ext/Vardefs/tugarfield_contract_status.php',
				'to' => 'custom/Extension/modules/Lev_Contracts/Ext/Vardefs/tugarfield_contract_status.php',
			),

		),
        'language'=> array (
			array(
				'from'=> '<basepath>/Files/Language/Contacts/ce.en_us.lang.php',
				'to_module'=> 'Contacts',
				'language'=>'en_us'
			),
			array(
				'from'=> '<basepath>/Files/Language/Leads/ce.en_us.lang.php',
				'to_module'=> 'Leads',
				'language'=>'en_us'
			),
			array(
				'from'=> '<basepath>/Files/Language/Lev_Course_Class_Dates/ce.en_us.lang.php',
				'to_module'=> 'Lev_Course_Class_Dates',
				'language'=>'en_us'
			),
			array(
				'from'=> '<basepath>/Files/Language/Lev_Courses/ce.en_us.lang.php',
				'to_module'=> 'Lev_Courses',
				'language'=>'en_us'
			),
			array(
				'from' => '<basepath>/Files/Language/Opportunities/ce.en_us.lang.php',
				'to_module' => 'Opportunities',
				'language' => 'en_us'
			),
			array(
				'from' => '<basepath>/Files/Language/Lev_Contracts/ce.en_us.lang.php',
				'to_module' => 'Lev_Contracts',
				'language' => 'en_us'
			),
			array(
				'from' => '<basepath>/Files/Language/Tasks/ce.en_us.lang.php',
				'to_module' => 'Tasks',
				'language' => 'en_us'
			),

		),
		'custom_fields'=>array (

		    //Contacts CE Fields
			array(
				'name' => 'ce_interests_c',
				'label' => 'LBL_CE_INTERESTS_C',
				'vname' => 'LBL_CE_INTERESTS_C',
				'type' => 'multienum',
				'enforced' => '',
				'dependency' => '',
				'required' => false, // true or false
				'mass_update' => false, // true or false
				'default_value' => '', //key of entry in specified list
				'comment' => 'Interests students have with CE',
				'module' => 'Contacts',
				'help' => 'Select CE students interests',
				'importable' => 'true', // 'true', 'false' or 'required'
				'options' => 'jccc_ce_interests_list', //maps to options - specify list name
				'source' => 'custom_fields', // true or false
				'isMultiSelect' => true, // true or false
			),
	        array(
				'name' => 'instructor_bd_approval_c',
				'labelValue' => 'Board Approval',
				'label' => 'LBL_INSTRUCTOR_BD_APPROVAL',
				'type' => 'date',
				'module' => 'Contacts',
				'default_value' => '',
				'help' => '',
				'comment' => '',
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'duplicate_merge' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
			),
			array(
				'name' => 'instructor_pay_rate_c',
				'labelValue' => 'Pay Rate (hourly)',
				'label' => 'LBL_INSTRUCTOR_PAY_RATE',
				'type' => 'currency',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default' => '0.00',
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'instructor_pay_rate_max_c',
				'labelValue' => 'Max Pay Rate',
				'label' => 'LBL_INSTRUCTOR_PAY_RATE_MAX',
				'type' => 'currency',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default' => '0.00',
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'instructor_pmt_method_c',
				'labelValue' => 'Payment Method',
				'label' => 'LBL_INSTRUCTOR_PMT_METHOD',
				'type' => 'enum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'instructor_pmt_method_list', //maps to options - specify list name
				'default_value' => 'Supplemental', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
				'dependency' => '',
				'visibility_grid' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			// Leads CE Fields
			array(
				'name' => 'ce_interests_c',
				'label' => 'LBL_CE_INTERESTS_C',
				'vname' => 'LBL_CE_INTERESTS_C',
				'type' => 'multienum',
				'enforced' => '',
				'dependency' => '',
				'required' => false, // true or false
				'mass_update' => false, // true or false
				'default_value' => '', //key of entry in specified list
				'comment' => 'Interests students have with CE',
				'module' => 'Leads',
				'help' => 'Select CE students interests',
				'importable' => 'true', // 'true', 'false' or 'required'
				'options' => 'jccc_ce_interests_list', //maps to options - specify list name
				'source' => 'custom_fields', // true or false
				'isMultiSelect' => true, // true or false
			),
			array(
				'name' => 'send_info_on_c',
				'labelValue' => 'Standard Materials',
				'label' => 'LBL_SEND_INFO_ON_C',
				'vname' => 'LBL_SEND_INFO_ON_C',
				'type' => 'multienum',
				'enforced' => '',
				'dependency' => '',
				'required' => false, // true or false
				'mass_update' => false, // true or false
				'default_value' => '', //key of entry in specified list
				'comment' => '',
				'module' => 'Leads',
				'help' => '',
				'importable' => 'true', // 'true', 'false' or 'required'
				'options' => 'send_info_on_c_list', //maps to options - specify list name
				'source' => 'custom_fields', // true or false
				'isMultiSelect' => true, // true or false
			),
			array(
				'name' => 'standard_materials_c',
				'label' => 'LBL_STANDARD_MATERIALS_C',
				'vname' => 'LBL_STANDARD_MATERIALS_C',
				'type' => 'multienum',
				'enforced' => '',
				'dependency' => '',
				'required' => false, // true or false
				'mass_update' => false, // true or false
				'default_value' => '', //key of entry in specified list
				'comment' => '',
				'module' => 'Leads',
				'help' => '',
				'importable' => 'true', // 'true', 'false' or 'required'
				'options' => 'standard_materials_c_list', //maps to options - specify list name
				'source' => 'custom_fields', // true or false
				'isMultiSelect' => true, // true or false
			),
			// Lev_Course_Class_Dates CE Fields
			array(
				'name' => 'end_time_military_c',
				'labelValue' => 'End time',
				'label' => 'LBL_END_TIME_MILITARY',
				'vname' => 'LBL_END_TIME_MILITARY',
				'type' => 'time',
				'enforced' => '',
				'dependency' => '',
				'required' => false, // true or false
				'mass_update' => false, // true or false
				'default_value' => '', //key of entry in specified list
				'comment' => '',
				'module' => 'Lev_Course_Class_Dates',
				'help' => '',
				'importable' => 'true', // 'true', 'false' or 'required'
				'source' => 'custom_fields', // true or false
			),
			array(
				'name' => 'end_time_text_c',
				'label' => 'LBL_END_TIME_TEXT_C',
				'type' => 'multienum',
				'module' => 'Lev_Course_Class_Dates',
				'help' => 'Stores end time for reporting.',
				'comment' => '',
				'ext1' => 'time_list', //maps to options - specify list name
				'default_value' => 'AM8_00', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => true, // true or false
				'dependency' => '',
			),
			array(
				'name' => 'start_time_military_c',
				'labelValue' => 'Start time',
				'label' => 'LBL_START_TIME_MILITARY',
				'vname' => 'LBL_START_TIME_MILITARY',
				'type' => 'time',
				'enforced' => '',
				'dependency' => '',
				'required' => false, // true or false
				'mass_update' => false, // true or false
				'default_value' => '', //key of entry in specified list
				'comment' => '',
				'module' => 'Lev_Course_Class_Dates',
				'help' => '',
				'importable' => 'true', // 'true', 'false' or 'required'
				'source' => 'custom_fields', // true or false
			),
			array(
				'name' => 'start_time_text_c',
				'label' => 'LBL_START_TIME_TEXT_C',
				'type' => 'multienum',
				'module' => 'Lev_Course_Class_Dates',
				'help' => 'Stores end time for reporting.',
				'comment' => '',
				'ext1' => 'time_list', //maps to options - specify list name
				'default_value' => 'AM8_00', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => true, // true or false
				'dependency' => '',
			),
//Lev_Courses
			//Lev_Courses CE Custom Fields
		    array(
		        'name' => 'client_no_c',
		        'label' => 'LBL_CLIENT_PO',
		        'type' => 'varchar',
		        'module' => 'Lev_Courses',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 15,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
		    ),
		    array(
		        'name' => 'course_location_c',
				'labelValue' => 'Location',
		        'label' => 'LBL_COURSE_LOCATION',
		        'type' => 'varchar',
		        'module' => 'Lev_Courses',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 50,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => false,
				),
		    ),
			/// Add relate field Course Name Here course_name_c
			array(
		        'module' => 'Lev_Courses',
		        'label' => 'LBL_COURSE_NAME',
				'labelValue' => 'Course Name',
				  'name' => 'course_name_c',
				  'type' => 'relate',
				  'length' => '255',
				  'required' => '1',
				  'importable' => 'true',
				  'ext2' => 'Lev_Course_Catalog',
				  'ext3' => 'lev_course_catalog_id_c',

			),
			
		    array(
		        'name' => 'course_number_c',
				'labelValue' => 'Course Number',
		        'label' => 'LBL_COURSE_NUMBER',
		        'type' => 'varchar',
		        'module' => 'Lev_Courses',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 25,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => false,
				),
		    ),
		    array(
		        'name' => 'day_count_c',
				'labelValue' => 'Billing Memo Daily Group',
		        'label' => 'LBL_DAY_COUNT',
		        'type' => 'varchar',
		        'module' => 'Lev_Courses',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 225,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => false,
				),
		    ),
			// CE Custom Fields for Tasks
			/// task_contract_c Related field Module tasks
			// CE Custom Fields for Lev_Contract
// Lev_Contracts		
			array(
				'name' => 'academic_period_c',
				'labelValue' => 'Academic Period',
				'label' => 'LBL_ACADEMIC_PERIOD',
				'type' => 'varchar',
				'module' => 'Lev_Contracts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 15,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => true, // true or false
				'full_text_search' => array (
					'enabled' => false,
					'boost' => '2',
					'searchable' => false,
				),
				'enforced' => '',
				'dependency' => '',
			),
			array(
				'name' => 'end_date_c',
				'labelValue' => 'End Date',
				'label' => 'LBL_END_DATE',
				'type' => 'date',
				'module' => 'Lev_Contracts',
				'default_value' => '',
				'help' => '',
				'comment' => '',
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'duplicate_merge' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
			),			
			array(
				'name' => 'end_day_of_week_c',
				'labelValue' => 'End Day of Week',
				'label' => 'LBL_END_DAY_OF_WEEK',
				'type' => 'varchar',
				'module' => 'Lev_Contracts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 9,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => true, // true or false
				'full_text_search' => array (
					'enabled' => false,
					'boost' => '2',
					'searchable' => false,
				),
				'enforced' => '',
				'dependency' => '',
			),
			array(
				'name' => 'start_date_c',
				'labelValue' => 'Start Date',
				'label' => 'LBL_START_DATE',
				'type' => 'date',
				'module' => 'Lev_Contracts',
				'default_value' => '',
				'help' => '',
				'comment' => '',
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'duplicate_merge' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
			),			
			array(
				'name' => 'start_day_of_week_c',
				'labelValue' => 'Start Day of Week',
				'label' => 'LBL_START_DAY_OF_WEEK',
				'type' => 'varchar',
				'module' => 'Lev_Contracts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 9,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => true, // true or false
				'full_text_search' => array (
					'enabled' => false,
					'boost' => '2',
					'searchable' => false,
				),
				'enforced' => '',
				'dependency' => '',
			),
			array(
				'name' => 'notes_c',
				'labelValue' => 'Notes',
				'label' => 'LBL_NOTE_S',
				'type' => 'text',
				'module' => 'Lev_Contracts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'ext2' => '6',
				'ext3' => '80',
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => true, // true or false
				'full_text_search' => array (
					'enabled' => false,
					'boost' => '2',
					'searchable' => false,
				),
				'enforced' => '',
				'dependency' => '',
			),
			array(
				'name' => 'gross_margin_c',
				'labelValue' => 'Gross Margin',
				'label' => 'LBL_GROSS_MARGIN',
				'type' => 'decimal',
				'module' => 'Lev_Contracts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => true, // true or false
				'enforced' => '',
				'dependency' => '',
			),
			array(
				'name' => 'sales_support_c',
				'labelValue' => 'Sales Support',
				'label' => 'LBL_SALES_SUPPORT',
				'type' => 'relate',
				'max_size' => 255,
				'module' => 'Lev_Contracts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => true, // true or false
				'enforced' => '',
				'dependency' => '',
				'ext2' => 'Users',
				'ext3' => 'user_id1_c',
			),
//Opportunities

			array(
				'name' => 'lost_reason_c',
				'label' => 'LBL_LOST_REASON',
				'vname' => 'LBL_LOST_REASON',
				'type' => 'enum',
				'enforced' => '',
				'dependency' => '',
				'required' => false, // true or false
				'mass_update' => false, // true or false
				'default_value' => '', //key of entry in specified list
				'comment' => '',
				'module' => 'Opportunities',
				'help' => '',
				'importable' => 'true', // 'true', 'false' or 'required'
				'options' => 'lost_reason_code_list', //maps to options - specify list name
				'source' => 'custom_fields', // true or false
				'isMultiSelect' => false, // true or false
				'custom_module' => 'Opportunities',
			),


			array(
				'name' => 'lost_reason_desc_c',
				'labelValue' => 'Lost Reason Description',
				'label' => 'LBL_LOST_REASON_DESC',
				'type' => 'text',
				'module' => 'Opportunities',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'ext2' => '4',
				'ext3' => '40',
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => true, // true or false
				'enforced' => '',
				'dependency' => '',
				'custom_module' => 'Opportunities',
			),
	        array(
				'name' => 'next_touch_date_c',
				'labelValue' => 'Next Touch Date',
				'label' => 'LBL_NEXT_TOUCH_DATE',
				'type' => 'date',
				'module' => 'Opportunities',
				'default_value' => '',
				'help' => '',
				'comment' => '',
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'duplicate_merge' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'custom_module' => 'Opportunities',
			),
//Tasks			
	        array(
				'name' => 'lev_contracts_id_c',
				'labelValue' => 'Contract',
				'label' => 'LBL_LIST_RELATED_TO',
				'type' => 'id',
				'module' => 'Tasks',
				'default_value' => '',
				'max_size' => 36,
				'help' => '',
				'comment' => '',
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'duplicate_merge' => false, // true or false
				'importable' => 'false', // 'true', 'false' or 'required'
				'custom_module' => 'Tasks',
			),


		),
    );

?>